# Interface ICefBrowserViewDelegateEvents

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFInterfaces

## Declaration

`type ICefBrowserViewDelegateEvents = interface(ICefViewDelegateEvents)`

## Description

Custom interface used to handle all the ICefBrowserViewDelegate events.

## Hierarchy

- IInterface
- ICefViewDelegateEvents
- ICefBrowserViewDelegateEvents

## Overview

### Methods

| `procedure doOnBrowserCreated(const browser_view: ICefBrowserView; const browser: ICefBrowser);`
| `procedure doOnBrowserDestroyed(const browser_view: ICefBrowserView; const browser: ICefBrowser);`
| `procedure doOnGetDelegateForPopupBrowserView(const browser_view: ICefBrowserView; const settings: TCefBrowserSettings; const client: ICefClient; is_devtools: boolean; var aResult : ICefBrowserViewDelegate);`
| `procedure doOnPopupBrowserViewCreated(const browser_view, popup_browser_view: ICefBrowserView; is_devtools: boolean; var aResult : boolean);`
| `procedure doOnGetChromeToolbarType(const browser_view: ICefBrowserView; var aChromeToolbarType: TCefChromeToolbarType);`
| `procedure doOnUseFramelessWindowForPictureInPicture(const browser_view: ICefBrowserView; var aResult: boolean);`
| `procedure doOnGestureCommand(const browser_view: ICefBrowserView; gesture_command: TCefGestureCommand; var aResult : boolean);`
| `procedure doOnGetBrowserRuntimeStyle(var aResult : TCefRuntimeStyle);`
| `procedure doOnAllowMoveForPictureInPicture(const browser_view: ICefBrowserView; var aResult: boolean);`
| `procedure doOnAllowPictureInPictureWithoutUserActivation(const browser_view: ICefBrowserView; var aResult: boolean);`

## Description

### Methods

| `procedure doOnBrowserCreated(const browser_view: ICefBrowserView; const browser: ICefBrowser);`

This item has no description.

###### Attributes

GUID['{AB94B875-63C6-4FEF-BB30-0816402ABA1C}']

| `procedure doOnBrowserDestroyed(const browser_view: ICefBrowserView; const browser: ICefBrowser);`
This item has no description.

| `procedure doOnGetDelegateForPopupBrowserView(const browser_view: ICefBrowserView; const settings: TCefBrowserSettings; const client: ICefClient; is_devtools: boolean; var aResult : ICefBrowserViewDelegate);`
This item has no description.

| `procedure doOnPopupBrowserViewCreated(const browser_view, popup_browser_view: ICefBrowserView; is_devtools: boolean; var aResult : boolean);`
This item has no description.

| `procedure doOnGetChromeToolbarType(const browser_view: ICefBrowserView; var aChromeToolbarType: TCefChromeToolbarType);`
This item has no description.

| `procedure doOnUseFramelessWindowForPictureInPicture(const browser_view: ICefBrowserView; var aResult: boolean);`
This item has no description.

| `procedure doOnGestureCommand(const browser_view: ICefBrowserView; gesture_command: TCefGestureCommand; var aResult : boolean);`
This item has no description.

| `procedure doOnGetBrowserRuntimeStyle(var aResult : TCefRuntimeStyle);`
This item has no description.

| `procedure doOnAllowMoveForPictureInPicture(const browser_view: ICefBrowserView; var aResult: boolean);`
This item has no description.

| `procedure doOnAllowPictureInPictureWithoutUserActivation(const browser_view: ICefBrowserView; var aResult: boolean);`
This item has no description.

Generated by PasDoc 0.17.0.snapshot.